#include <stdint.h>

#define EEPROM_INDIRIZZO_I2C		160

#define EEPROM_DIMENSIONE_IN_BYTE	4096
#define EEPROM_BYTES_PER_PAGINA		32
#define	EEPROM_DIMENSIONE_PAGINA	(EEPROM_DIMENSIONE_IN_BYTE/EEPROM_BYTES_PER_PAGINA)

// tutti in pagine di 32byte
#define	EEPROM_OFFSET_CANALE		0
#define	EEPROM_NUMERO_CANALI		100
#define EEPROM_NUMERO_CANALE_DEFAULT	0

#define EEPROM_OFFSET_BANDA		100
#define EEPROM_NUMERO_BANDE		20

#define EEPROM_INDIRIZZO_STATO		121


extern I2C_HandleTypeDef hi2c1;

// funzioni

void i2c_eeprom_scrivi_pagina(uint16_t indirizzo, uint8_t * dati);
uint8_t i2c_eeprom_leggi_pagina(uint16_t indirizzo, uint8_t * dati);

void salva_canale(uint8_t numero);
void leggi_canale(uint8_t numero);

void salva_stato(void);
void leggi_stato(void);
